/**
 * @export 递归:获取树形最后一层返回集合(会修改原数据)
 * @param {*} list 树形数组
 * @param {*} prop 子集合的key
 * @param {*} last 最后一层执行的操作
 * @returns 格式化后的集合
 */
export function recursionTree(list, prop, last) {
  list.forEach(item => {
    if (item[prop][length]) recursionTree(item[prop], prop, last);
    else last(item[prop], prop, item);
  });
  return list;
}

/**
 * @export 获取随机数,不足自动补零
 * @param {number} 最大值
 * @param {number} 最小值
 * @returns
 */
export function randomNumber(max = 999, min = 1) {
  const num = (Math.floor(Math.random() * (max - min + 1)) + min).toString();
  return (Array(max.toString().length).join("0") + num).slice(
    -max.toString().length
  );
}
